Tspi_TPM_GetEvents(3)

NAME
Tspi_TPM_GetEvents- get a specific number of PCR events for a given index.

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_GetEvents(TSS_HTPM       hTPM,            UINT32  ulPcrIndex,
                              UINT32         ulStartNumber,   UINT32* pulEventNumber,
                              TSS_PCR_EVENT* prgbPcrEvents);

DESCRIPTION

Tspi_TPM_GetEvents provides a specific number of PCR events for a given index.

PARAMETERS

  hTPM
Handle of the TPM object.

  ulPcrIndex
Index of the PCR to request.

  ulStartNumber
Indext of the first event to request

  pulEventNumber
[IN] Number of elements to request. [OUT] Receives number of returned event data structures in prgbPcrEvents parameter.

  prgbPcrEvents
Receives a pointer to an array of PCR event data. If NULL, only the number of elements is returned in pulEventNumber parameter.

RETURN CODES

Tspi_TPM_GetEvents returns TSS_SUCCESS on success, otherwise one of the following values are returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle to the TPM object.

TSS_E_INTERNAL_ERROR
    An error occurred internal to the TSS.

CONFORMING TO

Tspi_TPM_GetEvents conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_GetEvent(3) Tspi_TPM_GetEventLog(3).